Commit 96b12528 authored by Johannes Lenzen's avatar Johannes Lenzen
Browse files

Merge branch 'master' of...

Merge branch 'master' of www.graphics.rwth-aachen.de:OpenFlipper-Free/OpenFlipper-Free into docker-build-system
parents 5b68bf0a a1bd5333
......@@ -240,3 +240,9 @@
[submodule "Plugin-VolumeMeshConvert"]
path = Plugin-VolumeMeshConvert
url = https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/Plugin-VolumeMeshConvert.git
[submodule "Plugin-ICP"]
path = Plugin-ICP
url = https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/plugin-icp.git
[submodule "Plugin-Plane"]
path = Plugin-Plane
url = https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/Plugin-Plane.git
......@@ -26,9 +26,9 @@ set( CMAKE_CXX_STANDARD 11 )
# ACG Environment default settings
# This is ugly but currently we need to work around the default installed on debian
if ( EXISTS /ACG/acgdev/gcc-x86_64/qt-5.13.2/5.13.2/gcc_64 )
if ( EXISTS /ACG/acgdev/gcc-x86_64/qt-5.15.1/5.15.1/gcc_64 )
# Default to this install path for QT%_INSTALL_DIR
set (QT5_INSTALL_PATH /ACG/acgdev/gcc-x86_64/qt-5.13.2/5.13.2/gcc_64/ CACHE PATH "Qt5 install path set for ACG environment using QT 5.13.2" )
set (QT5_INSTALL_PATH /ACG/acgdev/gcc-x86_64/qt-5.15.1/5.15.1/gcc_64/ CACHE PATH "Qt5 install path set for ACG environment using QT 5.15.1" )
endif()
if ( WIN32 )
......@@ -133,7 +133,7 @@ if ( WIN32 )
endif()
endif()
set (OF_MAX_QT_VERSION "5.14.1")
set (OF_MAX_QT_VERSION "5.15.1")
if (${Qt5Core_VERSION_STRING} STRGREATER ${OF_MAX_QT_VERSION})
message(WARNING "Detected QT Version higher than ${OF_MAX_QT_VERSION}!\n" "OpenFlipper has not been tested with this QT Version.")
......
OpenFlipper @ 676780ab
Subproject commit c32fa10285fb88012ea16e0426d0d71ec1e49708
Subproject commit 676780ab82cd91cf02c1eb5774feed16a76aa365
Plugin-ICP @ eac44f66
Subproject commit eac44f66c2ac63f3475b79100391dbb241aa7072
Plugin-Plane @ d0d50e8c
Subproject commit d0d50e8c177b6296b87c10298f4eacee71e6fadf
......@@ -7,8 +7,8 @@ http://www.openflipper.org
## Download Binaries
### Windows
* [VS2017 Qt-5.10.1 64-Bit](https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/OpenFlipper-Free/-/jobs/artifacts/master/browse/rel?job=Deploy:VS2017-Qt-5.10.1)
* [VS2015 Qt-5.10.1 64-Bit](https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/OpenFlipper-Free/-/jobs/artifacts/master/browse/rel?job=Deploy:VS2015-Qt-5.10.1-x64)
* [VS2017 Qt-5.14.1 64-Bit](https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/OpenFlipper-Free/-/jobs/artifacts/master/browse/rel?job=Deploy:VS2017-Qt-5.14.1)
* [VS2019 Qt-5.15.0 64-Bit](https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/OpenFlipper-Free/-/jobs/artifacts/master/browse/rel?job=Deploy:VS2019-Qt-5.15.0)
### macOS 10.13
......@@ -21,7 +21,7 @@ Clone the repository with submodules:
git clone --recursive https://www.graphics.rwth-aachen.de:9000/OpenFlipper-Free/OpenFlipper-Free.git
## Required libs:
Qt ( >= 5.9 ) http://www.qtsoftware.com/downloads
Qt ( >= 5.11 ) http://www.qtsoftware.com/downloads
OpenGL http://www.opengl.org
qwt ( >=6.0 ) optional http://qwt.sourceforge.net/
......@@ -31,6 +31,8 @@ A detailed compilation manual is available [here](http://openflipper.org/Daily-B
Latest NEWS
===========
- 09/24/2020: Several Updates to the CI. OpenFlipper master (Support for VS2015 dropped)
- 12/13/2019: OpenFlipper 4.1 Release
- 03/05/2019: OpenFlipper 4.0 Release (Core Profile support, Integrated Python interpreter)
- 04/21/2017: Moved all toplevel plugins to separate repositories.
- 02/28/2017: Removed SimpleOpt Command Line parser and switched to Qt parser
......
Type-Plane @ 04c06237
Subproject commit b5a6cc7332f9c4f50c14c33cde02f4d9163b01fc
Subproject commit 04c06237360435ba855066e6d281a79cb894839a
Type-Skeleton @ 8db5e15a
Subproject commit 57eed12629a6d30b619b4dc5565f55199e9d8788
Subproject commit 8db5e15a418b76a9cfec9bb7abe68320403745cd
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment